final class VehicleBuilder {
    static  Vehicle buildSlowVehicle(){
        var engine = new RecordPart("silnik");
        var cabin = new StandardPart("kokpit");
        return new SlowVehicle(engine, cabin);
    }   
}
